<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>laplaCoeffField &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>laplaCoeffField
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">57 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/operators.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/operators.f03.html'>operators.f03</a></li>
    
     <li><a href='../module/operators.html'>operators</a></li>
    
  
     <li class="active">laplaCoeffField</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function laplaCoeffField(coeff, field) result(phi)
    
    
   
</h2>
    
  


    
    <p>lapla returns the laplacian of a field.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-coeff%7E4"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>coeff</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E31"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-phi%7E31"></span>real
  (numberOfElements,field%nComp)</small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~laplacoefffield~~CallsGraph Pages: 1 -->
<svg id="proclaplacoefffieldCallsGraph" width="554pt" height="200pt"
 viewBox="0.00 0.00 554.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~laplacoefffield~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~laplacoefffield~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 550,-196 550,4 -4,4"/>
<!-- proc~laplacoefffield -->
<g id="proc~~laplacoefffield~~CallsGraph_node1" class="node">
<title>proc~laplacoefffield</title>
<polygon fill="none" stroke="#000000" points="83,-108 0,-108 0,-84 83,-84 83,-108"/>
<text text-anchor="middle" x="41.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">laplaCoeffField</text>
</g>
<!-- computegradient -->
<g id="proc~~laplacoefffield~~CallsGraph_node2" class="node">
<title>computegradient</title>
<polygon fill="#777777" stroke="#777777" points="238.5,-150 145.5,-150 145.5,-126 238.5,-126 238.5,-150"/>
<text text-anchor="middle" x="192" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">computegradient</text>
</g>
<!-- proc~laplacoefffield&#45;&gt;computegradient -->
<g id="proc~~laplacoefffield~~CallsGraph_edge1" class="edge">
<title>proc~laplacoefffield&#45;&gt;computegradient</title>
<path fill="none" stroke="#000000" d="M83.0232,-107.5879C100.3547,-112.4246 120.6959,-118.1012 139.0813,-123.232"/>
<polygon fill="#000000" stroke="#000000" points="138.2031,-126.6206 148.7759,-125.9375 140.0847,-119.8782 138.2031,-126.6206"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~laplacoefffield~~CallsGraph_node3" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~laplacoefffield~~CallsGraph_node3"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="223.5,-108 160.5,-108 160.5,-84 223.5,-84 223.5,-108"/>
<text text-anchor="middle" x="192" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~laplacoefffield&#45;&gt;proc~interpolate -->
<g id="proc~~laplacoefffield~~CallsGraph_edge2" class="edge">
<title>proc~laplacoefffield&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M83.0232,-96C103.8639,-96 129.0562,-96 149.9671,-96"/>
<polygon fill="#000000" stroke="#000000" points="150.1576,-99.5001 160.1576,-96 150.1575,-92.5001 150.1576,-99.5001"/>
</g>
<!-- interpolategradientcorrected -->
<g id="proc~~laplacoefffield~~CallsGraph_node4" class="node">
<title>interpolategradientcorrected</title>
<polygon fill="#777777" stroke="#777777" points="265,-66 119,-66 119,-42 265,-42 265,-66"/>
<text text-anchor="middle" x="192" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolategradientcorrected</text>
</g>
<!-- proc~laplacoefffield&#45;&gt;interpolategradientcorrected -->
<g id="proc~~laplacoefffield~~CallsGraph_edge3" class="edge">
<title>proc~laplacoefffield&#45;&gt;interpolategradientcorrected</title>
<path fill="none" stroke="#000000" d="M83.0232,-84.4121C100.3547,-79.5754 120.6959,-73.8988 139.0813,-68.768"/>
<polygon fill="#000000" stroke="#000000" points="140.0847,-72.1218 148.7759,-66.0625 138.2031,-65.3794 140.0847,-72.1218"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_node5" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="434,-192 319,-192 319,-168 434,-168 434,-192"/>
<text text-anchor="middle" x="376.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M223.5132,-100.8794C237.0482,-103.9978 252.5741,-109.0154 265,-117 285.6834,-130.2907 280.2582,-145.8007 301,-159 303.7548,-160.753 306.6566,-162.3619 309.6537,-163.8384"/>
<polygon fill="#000000" stroke="#000000" points="308.3151,-167.073 318.879,-167.8817 311.1251,-160.6618 308.3151,-167.073"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_node6" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="446,-150 307,-150 307,-126 446,-126 446,-150"/>
<text text-anchor="middle" x="376.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M223.7167,-103.2201C248.3392,-108.8252 283.2628,-116.7753 313.5066,-123.66"/>
<polygon fill="#000000" stroke="#000000" points="313.0347,-127.1421 323.5621,-125.9491 314.5885,-120.3167 313.0347,-127.1421"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_node7" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="419,-108 334,-108 334,-84 419,-84 419,-108"/>
<text text-anchor="middle" x="376.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~laplacoefffield~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M223.7167,-96C251.1423,-96 291.348,-96 323.6318,-96"/>
<polygon fill="#000000" stroke="#000000" points="323.809,-99.5001 333.8089,-96 323.8089,-92.5001 323.809,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~laplacoefffield~~CallsGraph_node8" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="449,-66 304,-66 304,-42 449,-42 449,-66"/>
<text text-anchor="middle" x="376.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~laplacoefffield~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M223.7167,-88.7799C248.3392,-83.1748 283.2628,-75.2247 313.5066,-68.34"/>
<polygon fill="#000000" stroke="#000000" points="314.5885,-71.6833 323.5621,-66.0509 313.0347,-64.8579 314.5885,-71.6833"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~laplacoefffield~~CallsGraph_node9" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~laplacoefffield~~CallsGraph_node9"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="452,-24 301,-24 301,0 452,0 452,-24"/>
<text text-anchor="middle" x="376.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~laplacoefffield~~CallsGraph_edge8" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M223.5132,-91.1206C237.0482,-88.0022 252.5741,-82.9846 265,-75 285.6834,-61.7093 280.2582,-46.1993 301,-33 303.7548,-31.247 306.6566,-29.6381 309.6537,-28.1616"/>
<polygon fill="#000000" stroke="#000000" points="311.1251,-31.3382 318.879,-24.1183 308.3151,-24.927 311.1251,-31.3382"/>
</g>
<!-- flubiostop -->
<g id="proc~~laplacoefffield~~CallsGraph_node10" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="546,-24 488,-24 488,0 546,0 546,-24"/>
<text text-anchor="middle" x="517" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~laplacoefffield~~CallsGraph_edge9" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M452.0965,-12C460.9482,-12 469.686,-12 477.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="477.8963,-15.5001 487.8963,-12 477.8963,-8.5001 477.8963,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~laplacoefffield~~CalledByGraph Pages: 1 -->
<svg id="proclaplacoefffieldCalledByGraph" width="525pt" height="116pt"
 viewBox="0.00 0.00 525.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~laplacoefffield~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>proc~~laplacoefffield~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 521,-112 521,4 -4,4"/>
<!-- proc~laplacoefffield -->
<g id="proc~~laplacoefffield~~CalledByGraph_node1" class="node">
<title>proc~laplacoefffield</title>
<polygon fill="none" stroke="#000000" points="517,-66 434,-66 434,-42 517,-42 517,-66"/>
<text text-anchor="middle" x="475.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">laplaCoeffField</text>
</g>
<!-- interface~lapla -->
<g id="proc~~laplacoefffield~~CalledByGraph_node2" class="node">
<title>interface~lapla</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node2"><a xlink:href=".././interface/lapla.html" xlink:title="lapla">
<polygon fill="#a7506f" stroke="#a7506f" points="398,-66 344,-66 344,-42 398,-42 398,-66"/>
<text text-anchor="middle" x="371" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lapla</text>
</a>
</g>
</g>
<!-- interface~lapla&#45;&gt;proc~laplacoefffield -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge1" class="edge">
<title>interface~lapla&#45;&gt;proc~laplacoefffield</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M398.1833,-54C406.0072,-54 414.8138,-54 423.6069,-54"/>
<polygon fill="#000000" stroke="#000000" points="423.8634,-57.5001 433.8634,-54 423.8633,-50.5001 423.8634,-57.5001"/>
</g>
<!-- proc~euler_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_node3" class="node">
<title>proc~euler_fs</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node3"><a xlink:href=".././proc/euler_fs.html" xlink:title="Euler_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="300,-108 243,-108 243,-84 300,-84 300,-108"/>
<text text-anchor="middle" x="271.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Euler_FS</text>
</a>
</g>
</g>
<!-- proc~euler_fs&#45;&gt;interface~lapla -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge2" class="edge">
<title>proc~euler_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M300.0127,-83.9645C310.7801,-79.4195 323.1813,-74.1848 334.5757,-69.3751"/>
<polygon fill="#000000" stroke="#000000" points="336.0005,-72.5728 343.8523,-65.4593 333.2783,-66.1237 336.0005,-72.5728"/>
</g>
<!-- proc~ark3_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_node4" class="node">
<title>proc~ark3_fs</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node4"><a xlink:href=".././proc/ark3_fs.html" xlink:title="ARK3_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="301,-66 242,-66 242,-42 301,-42 301,-66"/>
<text text-anchor="middle" x="271.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ARK3_FS</text>
</a>
</g>
</g>
<!-- proc~ark3_fs&#45;&gt;interface~lapla -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge3" class="edge">
<title>proc~ark3_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M301.0839,-54C311.3289,-54 322.9474,-54 333.7298,-54"/>
<polygon fill="#000000" stroke="#000000" points="333.7393,-57.5001 343.7392,-54 333.7392,-50.5001 333.7393,-57.5001"/>
</g>
<!-- proc~rk3ssp_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_node5" class="node">
<title>proc~rk3ssp_fs</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node5"><a xlink:href=".././proc/rk3ssp_fs.html" xlink:title="RK3SSP_FS">
<polygon fill="#d9534f" stroke="#d9534f" points="308,-24 235,-24 235,0 308,0 308,-24"/>
<text text-anchor="middle" x="271.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">RK3SSP_FS</text>
</a>
</g>
</g>
<!-- proc~rk3ssp_fs&#45;&gt;interface~lapla -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge4" class="edge">
<title>proc~rk3ssp_fs&#45;&gt;interface~lapla</title>
<path fill="none" stroke="#000000" d="M300.0127,-24.0355C310.7801,-28.5805 323.1813,-33.8152 334.5757,-38.6249"/>
<polygon fill="#000000" stroke="#000000" points="333.2783,-41.8763 343.8523,-42.5407 336.0005,-35.4272 333.2783,-41.8763"/>
</g>
<!-- proc~predictionstep -->
<g id="proc~~laplacoefffield~~CalledByGraph_node6" class="node">
<title>proc~predictionstep</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node6"><a xlink:href=".././proc/predictionstep.html" xlink:title="predictionStep">
<polygon fill="#d9534f" stroke="#d9534f" points="199,-66 119,-66 119,-42 199,-42 199,-66"/>
<text text-anchor="middle" x="159" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">predictionStep</text>
</a>
</g>
</g>
<!-- proc~predictionstep&#45;&gt;proc~euler_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge5" class="edge">
<title>proc~predictionstep&#45;&gt;proc~euler_fs</title>
<path fill="none" stroke="#000000" d="M191.238,-66.0355C204.2998,-70.9119 219.4883,-76.5823 233.1157,-81.6698"/>
<polygon fill="#000000" stroke="#000000" points="232.1173,-85.033 242.7099,-85.2517 234.5656,-78.4751 232.1173,-85.033"/>
</g>
<!-- proc~predictionstep&#45;&gt;proc~ark3_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge6" class="edge">
<title>proc~predictionstep&#45;&gt;proc~ark3_fs</title>
<path fill="none" stroke="#000000" d="M199.2973,-54C209.7948,-54 221.1005,-54 231.5784,-54"/>
<polygon fill="#000000" stroke="#000000" points="231.72,-57.5001 241.72,-54 231.7199,-50.5001 231.72,-57.5001"/>
</g>
<!-- proc~predictionstep&#45;&gt;proc~rk3ssp_fs -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge7" class="edge">
<title>proc~predictionstep&#45;&gt;proc~rk3ssp_fs</title>
<path fill="none" stroke="#000000" d="M191.238,-41.9645C203.2417,-37.4831 217.0414,-32.3312 229.775,-27.5773"/>
<polygon fill="#000000" stroke="#000000" points="231.113,-30.8138 239.2573,-24.0373 228.6647,-24.2559 231.113,-30.8138"/>
</g>
<!-- program~fs_alghorithm -->
<g id="proc~~laplacoefffield~~CalledByGraph_node7" class="node">
<title>program~fs_alghorithm</title>
<g id="a_proc~~laplacoefffield~~CalledByGraph_node7"><a xlink:href=".././program/fs_alghorithm.html" xlink:title="FS_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="83,-66 0,-66 0,-42 83,-42 83,-66"/>
<text text-anchor="middle" x="41.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FS_Alghorithm</text>
</a>
</g>
</g>
<!-- program~fs_alghorithm&#45;&gt;proc~predictionstep -->
<g id="proc~~laplacoefffield~~CalledByGraph_edge8" class="edge">
<title>program~fs_alghorithm&#45;&gt;proc~predictionstep</title>
<path fill="none" stroke="#000000" d="M83.2569,-54C91.5105,-54 100.2537,-54 108.7542,-54"/>
<polygon fill="#000000" stroke="#000000" points="108.9534,-57.5001 118.9534,-54 108.9533,-50.5001 108.9534,-57.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>